- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
libmspub::Shape Struct Referenceabstract

`#include <Shapes.h>`

Inheritance diagram for libmspub::Shape:

## Public Member Functions
| Shape (MSPUBCollector *o)
virtual void | output (librevenge::RVNGDrawingInterface *painter, Coordinate coord)
virtual | ~Shape ()

## Public Attributes
librevenge::RVNGPropertyList | props
librevenge::RVNGPropertyList | graphicsProps

## Protected Member Functions
virtual void | setCoordProps (Coordinate coord)
virtual void | write (librevenge::RVNGDrawingInterface *painter)=0
virtual librevenge::RVNGPropertyListVector | updateGraphicsProps ()
| Shape ()

## Protected Attributes
MSPUBCollector * | owner

## Private Member Functions
| Shape (const Shape &)
Shape & | operator= (const Shape &)

## Constructor & Destructor Documentation

libmspub::Shape::Shape | ( | MSPUBCollector * | o | ) |
| inline

virtual libmspub::Shape::~Shape | ( |  | ) |
| inline virtual

libmspub::Shape::Shape | ( |  | ) |
| protected

libmspub::Shape::Shape | ( | const Shape & |  | ) |
| private

## Member Function Documentation

Shape& libmspub::Shape::operator= | ( | const Shape & |  | ) |
| private

virtual void libmspub::Shape::output | ( | librevenge::RVNGDrawingInterface * | painter,
|  | Coordinate | coord
| ) |  |
| virtual

Reimplemented in libmspub::GeometricShape.

virtual void libmspub::Shape::setCoordProps | ( | Coordinate | coord | ) |
| protected virtual

Reimplemented in libmspub::GeometricShape.

virtual librevenge::RVNGPropertyListVector libmspub::Shape::updateGraphicsProps | ( |  | ) |
| protected virtual

Reimplemented in libmspub::GeometricShape, and libmspub::FillableShape.

virtual void libmspub::Shape::write | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| protected pure virtual

Implemented in libmspub::GeometricShape.

## Member Data Documentation

librevenge::RVNGPropertyList libmspub::Shape::graphicsProps

MSPUBCollector* libmspub::Shape::owner
| protected

librevenge::RVNGPropertyList libmspub::Shape::props

The documentation for this struct was generated from the following file:

- Shapes.h